//items.c

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdio.h>
#include "trdefs.h"
#include "trmdefs.h"
#include "items.h"
#include "linklist.h"

char *item_categories[NUM_ITEM_CATEGORIES] =
{
    "required",
    "weapons",
    "ammo"
};

itemdef_t itemdefs[NUM_ITEMS] =
{
    //required
    "Lara", ITEM_CATEGORY_REQUIRED, 0,
    
    //weapons
    //rifle?
    "automatics", ITEM_CATEGORY_WEAPONS, ITEM_WEAPON_AUTOMATICS,
    "uzis", ITEM_CATEGORY_WEAPONS, ITEM_WEAPON_UZIS,
    "harpoon", ITEM_CATEGORY_WEAPONS, ITEM_WEAPON_HARPOON,
    "m16", ITEM_CATEGORY_WEAPONS, ITEM_WEAPON_M16,
    "grenlauncher", ITEM_CATEGORY_WEAPONS, ITEM_WEAPON_GRENLAUNCHER,
    
    //ammo
    "shotgun2 shells", ITEM_CATEGORY_AMMO, ITEM_AMMO_SHOTGUN2,
    "shotgun shells", ITEM_CATEGORY_AMMO, ITEM_AMMO_SHOTGUN,
    "magnum clips", ITEM_CATEGORY_AMMO, ITEM_AMMO_MAGNUM,
    "uzi clips", ITEM_CATEGORY_AMMO, ITEM_AMMO_UZI,
    "harpoons", ITEM_CATEGORY_AMMO, ITEM_AMMO_HARPOONS,
    "m16 clips", ITEM_CATEGORY_AMMO, ITEM_AMMO_M16,
    "grenade", ITEM_CATEGORY_AMMO, ITEM_AMMO_GRENADE
};

item2_t *NewItem(trm_t *trm, item2_t *item)
{
    trm_itemlist_t *i;
    i = (trm_itemlist_t *)NewListItem(item, sizeof(item2_t), (linklist_t **)&trm->itemlisthead, (linklist_t **)&trm->itemlisttail);
    i->item->room = trm->roomcurrent->room->index;
    //trm->itemcurrent = i;
    trm->numitems++;
    return i->item;
}

#ifdef __cplusplus
}
#endif
