//items.h

#ifdef __cplusplus
extern "C"
{
#endif

#define NUM_ITEM_CATEGORIES 3
#define ITEM_CATEGORY_REQUIRED  0
#define ITEM_CATEGORY_WEAPONS   1
#define ITEM_CATEGORY_AMMO      2

#define NUM_ITEMS           13

//required
#define ITEM_LARA           0

//weapons
#define ITEM_WEAPON_AUTOMATICS      0x89
#define ITEM_WEAPON_UZIS            0x8a
#define ITEM_WEAPON_HARPOON         0x8b
#define ITEM_WEAPON_M16             0x8c
#define ITEM_WEAPON_GRENLAUNCHER    0x8d
#define ITEM_WEAPON_DOT             0x8e

//ammo
#define ITEM_AMMO_SHOTGUN2          0x88
#define ITEM_AMMO_SHOTGUN           0x8f
#define ITEM_AMMO_MAGNUM            0x90
#define ITEM_AMMO_UZI               0x91
#define ITEM_AMMO_HARPOONS          0x92
#define ITEM_AMMO_M16               0x93
#define ITEM_AMMO_GRENADE           0x94

//misc
#define ITEM_SMALL_MEDPACK          0x95
#define ITEM_LARGE_MEDPACK          0x96
#define ITEM_FLARES                 0x97
#define ITEM_SINGLE_FLARE           0x98

typedef struct
{
    char *itemname;
    short category;
    short object;
} itemdef_t;

item2_t *NewItem(trm_t *trm, item2_t *item);

extern char *item_categories[NUM_ITEM_CATEGORIES];
extern itemdef_t itemdefs[NUM_ITEMS];

#ifdef __cplusplus
}
#endif
